As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 703056 - Disable Flash on Tegra2 devices running Gingerbread because it doesn't paint
: Disable Flash on Tegra2 devices running Gingerbread because it doesn't paint
Status: VERIFIED FIXED
sumo
: relnote
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P2 normal (vote)
: Firefox 15
Assigned To: James Willcox (:snorp) (jwillcox@mozilla.com)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks: 736421 750968 777746
  Show dependency treegraph
 
Reported: 2011-11-16 13:12 PST by James Willcox (:snorp) (jwillcox@mozilla.com)
Modified: 2012-07-26 09:04 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified
+
11+


Attachments
Block Flash on Tegra devices (1.64 KB, patch)
2012-05-03 13:48 PDT, James Willcox (:snorp) (jwillcox@mozilla.com)
blassey.bugs: review+
Details | Diff | Splinter Review
Block Flash on Tegra devices (1.73 KB, patch)
2012-05-03 14:12 PDT, James Willcox (:snorp) (jwillcox@mozilla.com)
snorp: review+
mark.finkle: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description User image James Willcox (:snorp) (jwillcox@mozilla.com) 2011-11-16 13:12:57 PST
On Tegra 2 devices running Gingerbread, Flash wants to paint to the SurfaceView using OpenGL (according to logs). This doesn't seem to work on birch, and the current theory is that you can't have a GLSurfaceView (our gecko rendering stuff) under what is effectively another GLSurfaceView (the plugin). It's unclear if there will be a reasonable way to solve this. I think ideally we'd have a way to force Flash into the conventional paint mode.
Comment 1 User image Brad Lassey [:blassey] (use needinfo?) 2012-02-23 11:31:20 PST
It would be wonderful to fix this, but when we're getting closer to release, we need to have some contingency plan. I propose that that plan is to disable flash entirely on tegra2 running gingerbread.
Comment 2 User image James Willcox (:snorp) (jwillcox@mozilla.com) 2012-02-23 13:15:44 PST
I agree, we should just disable it.
Comment 3 User image JP Rosevear [:jpr] 2012-04-26 07:30:38 PDT
Snorp, if you still agree with comment #2, lets just do it and relnote it.  Adding Jay to loop in product.  Should affect about 10% of phones in market.
Comment 4 User image Vladimir Vukicevic [:vlad] [:vladv] 2012-04-28 11:26:42 PDT
Confirmed this with yesterday's m-c trunk on my Atrix running Gingerbread; flash doesn't paint correctly at all (a few gray squares on a youtube window, but that's it).
Comment 5 User image James Willcox (:snorp) (jwillcox@mozilla.com) 2012-05-03 13:48:03 PDT
Created attachment 620836 [details] [diff] [review]
Block Flash on Tegra devices
Comment 6 User image Brad Lassey [:blassey] (use needinfo?) 2012-05-03 14:01:00 PDT
Comment on attachment 620836 [details] [diff] [review]
Block Flash on Tegra devices

Review of attachment 620836 [details] [diff] [review]:
-----------------------------------------------------------------

::: mobile/android/base/GeckoApp.java
@@ +213,5 @@
>      String[] getPluginDirectories() {
> +
> +        // An awful hack to detect Tegra devices. Easiest way to do it without spinning up a EGL context
> +        File tegraDriverPath = new File("/system/lib/hw/gralloc.tegra.so");
> +        if (tegraDriverPath.exists())

check for gingerbread
Comment 7 User image James Willcox (:snorp) (jwillcox@mozilla.com) 2012-05-03 14:12:53 PDT
Created attachment 620847 [details] [diff] [review]
Block Flash on Tegra devices
Comment 8 User image James Willcox (:snorp) (jwillcox@mozilla.com) 2012-05-03 14:25:46 PDT
Comment on attachment 620847 [details] [diff] [review]
Block Flash on Tegra devices

[Approval Request Comment]
Trivial patch, fixes very noticeable bug on a relatively popular set of devices. Mobile only.
Comment 9 User image Ed Morley [:emorley] 2012-05-04 09:31:32 PDT
https://hg.mozilla.org/mozilla-central/rev/086e419f370a
Comment 10 User image Brad Lassey [:blassey] (use needinfo?) 2012-05-08 20:25:57 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/609e87ff8279
Comment 11 User image Catalin Suciu [:csuciu] 2012-05-23 05:17:08 PDT
Verified fixed on Nightly 15.0a1 (2012-05-22)
                  Aurora 14.0a2 (2012-05-22)

Tegra device: LG Optimus 2X (2.2.2)

Note You need to log in before you can comment on or make changes to this bug.